Bug 480485 - Review Request: cpmtools - Programs for accessing CP/M disks
Review Request: cpmtools - Programs for accessing CP/M disks
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-17 10:31 EST by Lucian Langa
Modified: 2009-01-24 05:48 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-24 05:48:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lucian Langa 2009-01-17 10:31:47 EST
Spec URL: http://lucilanga.fedorapeople.org/cpmtools.spec
SRPM URL: http://lucilanga.fedorapeople.org/cpmtools-2.8-1.fc10.src.rpm
Description: This package allows to access CP/M file systems similar to the well-known mtools package, which accesses MSDOS file systems. I use it for file
exchange with a Z80-PC simulator, but it works on floppy devices as well.
Comment 1 manuel wolfshant 2009-01-18 05:40:48 EST
Ahh. the good old days of CP/M ... Waiting for SFDX :)

full review will come soon
Comment 2 manuel wolfshant 2009-01-18 05:42:59 EST
There is a small change, mock build fails with:

+ rm -rf /builddir/build/BUILDROOT/cpmtools-2.8-1.fc11.x86_64
+ mkdir -p /builddir/build/BUILDROOT/cpmtools-2.8-1.fc11.x86_64/usr/bin
+ mkdir -p /builddir/build/BUILDROOT/cpmtools-2.8-1.fc11.x86_64/usr/share/man/man1 /builddir/build/BUILDROOT/cpmto
ols-2.8-1.fc11.x86_64/usr/share/man/man5
+ make install BINDIR=/builddir/build/BUILDROOT/cpmtools-2.8-1.fc11.x86_64/usr/bin MANDIR=/builddir/build/BUILDROO
T/cpmtools-2.8-1.fc11.x86_64/usr/share/man 'INSTALL=install -p'
install -p -m 755 cpmls /builddir/build/BUILDROOT/cpmtools-2.8-1.fc11.x86_64/usr/bin/cpmls
install -p -m 755 cpmcp /builddir/build/BUILDROOT/cpmtools-2.8-1.fc11.x86_64/usr/bin/cpmcp
install -p -m 755 cpmrm /builddir/build/BUILDROOT/cpmtools-2.8-1.fc11.x86_64/usr/bin/cpmrm
install -p -m 755 cpmchmod /builddir/build/BUILDROOT/cpmtools-2.8-1.fc11.x86_64/usr/bin/cpmchmod
install -p -m 755 cpmchattr /builddir/build/BUILDROOT/cpmtools-2.8-1.fc11.x86_64/usr/bin/cpmchattr
install -p -m 755 mkfs.cpm /builddir/build/BUILDROOT/cpmtools-2.8-1.fc11.x86_64/usr/bin/mkfs.cpm
install -p -m 755 fsck.cpm /builddir/build/BUILDROOT/cpmtools-2.8-1.fc11.x86_64/usr/bin/fsck.cpm
install -p -m 755 fsed.cpm /builddir/build/BUILDROOT/cpmtools-2.8-1.fc11.x86_64/usr/bin/fsed.cpm
install -p -m 644 diskdefs /usr/share/diskdefs
install: cannot create regular file `/usr/share/diskdefs': Permission denied
make: *** [install] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.PUxmZC (%install)
Comment 3 manuel wolfshant 2009-01-18 06:17:51 EST
to be read "There is a small change needed"
Comment 4 Lucian Langa 2009-01-18 08:27:10 EST
(In reply to comment #2)
> There is a small change, mock build fails with:
I'm not entirely sure why it failed for you, but 'my mock' didn't complain. Different root cache ?

Anyway I moved diskdefs to %{_datadir}/%{name}/
I've used sed to modify diskdefs location.
I also had to modify path used in the man files.

new version:
http://lucilanga.fedorapeople.org/cpmtools.spec
http://lucilanga.fedorapeople.org/cpmtools-2.8-2.fc10.src.rpm
Comment 5 manuel wolfshant 2009-01-18 13:23:41 EST
Failed koji scratch build of http://lucilanga.fedorapeople.org/cpmtools-2.8-1.fc10.src.rpm, in case that you want to investigate:
    http://koji.fedoraproject.org/koji/taskinfo?taskID=1064398

http://lucilanga.fedorapeople.org/cpmtools-2.8-2.fc10.src.rpm seems OK, I'll come back with a review tomorrow
Comment 6 manuel wolfshant 2009-01-22 17:51:54 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPLv3+ (see also note 1)
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package match the upstream source, as provided in the spec URL.
     SHA1SUM of package: 82aeb860dc7f82078ab12326fae996ac280ed6aa cpmtools-2.8.tar.gz
 [x] Package is not known to require ExcludeArch, OR:
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.
 [x] Final provides and requires are sane.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [ ] Description and summary sections in the package spec file contains translations for supported Non-English l
anguages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on: koji scratch build
 [x] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [-] %check is present and the test passes.

=== Notes ===
1. A couple of files are licensed as GPLv2+ ( getopt* ). All the others have no licensing information. The only indication of the projects's license comes from the accompanying COPYING file which is a verbatim copy of GPLv3 and the README which states that the license of the project is GPLv3+. Please drop a note to the author and ask him to include the necessary info about the licenses in all the source files.


================
*** APPROVED ***
================
Comment 7 Lucian Langa 2009-01-23 00:49:36 EST
Thank you for the review.
I will contact upstream.

New Package CVS Request
=======================
Package Name: cpmtools
Short Description: Programs for accessing CP/M disks
Owners: lucilanga
Branches: F-9 F-10 EL-5
InitialCC:
Comment 8 Kevin Fenzi 2009-01-23 18:38:01 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.